<?php
namespace Ep\Woo\Product;

/**
 * Varijabilni proizvod.
 *
 * @package Ep\Woo\Product
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class Variable extends \WC_Product_Variable implements ProductInterface
{
    use ProductTrait;

    public function get_stock_quantity($context = 'view')
    {
        $quantity = 0;

        foreach ($this->get_children() as $child_id) {
            $child = wc_get_product($child_id);
            $quantity += $child->get_stock_quantity();
        }

        return $quantity;
    }
}