<?php
/**
 * @var string $email
 * @var \WC_Coupon $coupon
 */

do_action('woocommerce_email_header', $email_heading, $email); ?>

    <p>Poštovani <?= explode('@', $email)[0]; ?>,</p>
    <p>

        <?= $coupon->get_description(); ?> Vaš kupon vam daje popust u iznosu od <?= $coupon->get_amount(); ?> %
        koji možete iskoristiti najkasnije do <?= date('d.m.Y', strtotime($coupon->get_date_expires())); ?>.

    </p>
    <p>Pratite naše tjedne akcije i ne propustite dodatne pogodnosti.</p>
    <p>Sudjelujte u izboru tjednih akcija na našoj <a href="https://www.facebook.com/AutoKreso/">Facebook</a> stranici.</p>

    <p><br><br></p>

    <div style="text-align: center">
        <table width="448" border="0" cellpadding="20" style="margin: 0 auto;max-width:100%;">
            <tbody>
            <tr>
                <td bgcolor="#ffd504">
                    <div style="font-size: 23px; color: #1e3c94;padding-bottom: 20px;">DODATNIH <b><?= $coupon->get_amount(); ?></b> % POPUSTA</div>
                    <div style="background-color: #1e3c94; text-align: center; padding: 10px;font-size: 28px;color: #ffffff">
                        <b><?= strtoupper($coupon->get_code()); ?></b>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>

<?php
do_action('woocommerce_email_footer', $email);